/********************************************************************************************
 *
 * Copyright 2012-2018  Frank Gollnik  <http://www.jabotics.org>
 *
 * 
 * This file is part of the Java software package org.jabotics (in the following: Jabotics).
 * 
 * Jabotics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Jabotics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Jabotics.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * 
 * Diese Datei ist Teil des Java-Software-Pakets org.jabotics (im Folgenden kurz: Jabotics).
 * 
 * Jabotics ist Freie Software: Sie können es unter den Bedingungen
 * der GNU General Public License, wie von der Free Software Foundation,
 * Version 3 der Lizenz oder (nach Ihrer Wahl) jeder späteren
 * veröffentlichten Version, weiterverbreiten und/oder modifizieren.
 * 
 * Jabotics wird in der Hoffnung, dass es nützlich sein wird, aber
 * OHNE JEDE GEWÄHRLEISTUNG, bereitgestellt; sogar ohne die implizite
 * Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
 * Siehe die GNU General Public License für weitere Details.
 * 
 * Sie sollten eine Kopie der GNU General Public License zusammen mit Jabotics
 * erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
 * 
 *******************************************************************************************/


package org.jabotics.test.core;

import org.jabotics.robot.defs.ESimulationMode;
//import static org.junit.Assert.*;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

/**
 * Die Test-Klasse UTestCore.
 *
 * @author  Frank Gollnik
 * @version 1.1.2
 */
public class UTestCore
{
    static
    {
        TestCore.setSimulationMode(ESimulationMode.HIDDEN);
    }

    /**
     * Konstruktor fuer die Test-Klasse UTestCore
     */
    public UTestCore()
    {
        TestCore.setSimulationMode(ESimulationMode.HIDDEN);
    }

    /**
     *  Setzt das Testgerüst fuer den Test.
     *
     * Wird vor jeder Testfall-Methode aufgerufen.
     */
    @Before
    public void setUp()
    {
    }

    /**
     * Gibt das Testgerüst wieder frei.
     *
     * Wird nach jeder Testfall-Methode aufgerufen.
     */
    @After
    public void tearDown()
    {
    }

    @Test(timeout=13000)
    public void testMotor0()
    {
        TestCore.testMotor0();
    }

    @Test(timeout=25000)
    public void testMotor1()
    {
        TestCore.testMotor1();
    }

    @Test(timeout=26000)
    public void testMotor2()
    {
        TestCore.testMotor2();
    }

    @Test(timeout=16000)
    public void testMotor3()
    {
        TestCore.testMotor3();
    }

    @Test(timeout=55000)
    public void testMotor4()
    {
        TestCore.testMotor4();
    }

    @Test(timeout=20000)
    public void testMotor5()
    {
        TestCore.testMotor5();
    }

    @Test(timeout=23000)
    public void testMotor6()
    {
        TestCore.testMotor6();
    }

    @Test(timeout=29000)
    public void testMotor7()
    {
        TestCore.testMotor7();
    }

    @Test(timeout=28000)
    public void testMotor8()
    {
        TestCore.testMotor8();
    }

    @Test(timeout=69000)
    public void testMotor9()
    {
        TestCore.testMotor9();
    }

    @Test(timeout=25000)
    public void testPilot1()
    {
        TestCore.testPilot1();
    }

    @Test(timeout=19000)
    public void testPilot2()
    {
        TestCore.testPilot2();
    }

    @Test(timeout=19000)
    public void testPilot3()
    {
        TestCore.testPilot3();
    }

    @Test(timeout=47000)
    public void testPilot4()
    {
        TestCore.testPilot4();
    }
}
